#include <bits/stdc++.h>
using namespace std;
int n, k, p[20005],br;
int main(){
    cin >> n >> k;
    for(int i=1;i<=n;i++){
        cin >> p[i];
    }
    br = 0;
    for(int i=1;i<=n;i++){
        if(k==p[i]){
            br+=i+1;
            cout << p[br] << endl;
            break;
        }
        else if(k==p[n]){
            cout << p[1] << endl;
            break;
        }
    }


return 0;
}